from apibean.jupyter.cli import build_parser, run_from_args

def main():
    parser = build_parser()

    # cashio add it's own options
    parser.prog = "cashio"
    parser.add_argument(
        "--cashio-mode",
        choices=["dev", "prod"],
        default="dev",
    )

    args = parser.parse_args()

    # cashio process it's own options
    if args.cashio_mode == "prod":
        print("🔒 cashio running in prod mode")

    # delegate apibean-jupyter
    run_from_args(args)
